#include <bits/stdc++.h>
typedef long long ll;
using namespace std;
// sus, vljd ce proci haha

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n, m;
    cin >> n >> m;
    int x=n, y=m;
    if(n<3 || m<3) {
        cout << 0;
        return 0;
    }


    int ans=0;
    n-=2;
    m-=2;
    if(m==1) {
        ans += ((n+1)/2);
    }
    else if(n%2==1)
    {
        ans += ((n+1)/2) * ((m+1)/2);
        ans += ((n-1)/2) * (m/2);
    }
    else if(n%2==0)
    {
        ans += (n/2) * ((m+1)/2);
        ans += (n/2) * (m/2);
    }

    cout << (x*y)-ans;
}